glibmm: Gio::MenuLinkIter Class Reference

glibmm 2.33.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions
Gio::MenuLinkIter Class Reference

MenuLinkIter - A menu link iterator. More...

`#include <giomm/menulinkiter.h>`

Inheritance diagram for Gio::MenuLinkIter:
[legend]

List of all members.

## Public Member Functions
virtual | ~MenuLinkIter ()
GMenuLinkIter* | gobj ()
| Provides access to the underlying C GObject.
const GMenuLinkIter* | gobj () const
| Provides access to the underlying C GObject.
GMenuLinkIter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_name () const
| Gets the name of the link at the current iterator position.
bool | get_next (Glib::ustring& out_link, Glib::RefPtr< MenuModel >&value)
| This function combines g_menu_link_iter_next() with g_menu_link_iter_get_name() and g_menu_link_iter_get_value().
Glib::RefPtr< MenuModel > | get_value ()
| Gets the linked MenuModel at the current iterator position.
Glib::RefPtr< const MenuModel > | get_value () const
| Gets the linked MenuModel at the current iterator position.
bool | next ()
| Attempts to advance the iterator to the next (possibly first) link.
## Protected Member Functions
| MenuLinkIter ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::MenuLinkIter > | wrap (GMenuLinkIter* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

MenuLinkIter - A menu link iterator.

Since glibmm 2.32:

## Constructor & Destructor Documentation

virtual Gio::MenuLinkIter::~MenuLinkIter | ( |  | ) | `[virtual]`

Gio::MenuLinkIter::MenuLinkIter | ( |  | ) | `[protected]`

## Member Function Documentation

Glib::ustring Gio::MenuLinkIter::get_name | ( |  | ) | const

Gets the name of the link at the current iterator position.

The iterator is not advanced.

Since glibmm 2.32:

Returns:
  The type of the link.

bool Gio::MenuLinkIter::get_next | ( | Glib::ustring& | out_link,
|  | Glib::RefPtr< MenuModel >& | value
| ) |  |

This function combines g_menu_link_iter_next() with g_menu_link_iter_get_name() and g_menu_link_iter_get_value().

First the iterator is advanced to the next (possibly first) link. If that fails, then `false` is returned and there are no other effects.

If successful, out_link and value are set to the name and MenuModel of the link that has just been advanced to. At this point, g_menu_link_iter_get_name() and g_menu_link_iter_get_value() will return the same values again.

The value returned in out_link remains valid for as long as the iterator remains at the current position. The value returned in value must be unreffed using Glib::object_unref() when it is no longer in use.

Since glibmm 2.32:

Parameters:

  out_link | The name of the link.
  value | The linked MenuModel.

Returns:
  `true` on success, or `false` if there is no additional link.

Glib::RefPtr<MenuModel> Gio::MenuLinkIter::get_value | ( |  | ) |

Gets the linked MenuModel at the current iterator position.

The iterator is not advanced.

Since glibmm 2.32:

Returns:
  The MenuModel that is linked to.

Glib::RefPtr<const MenuModel> Gio::MenuLinkIter::get_value | ( |  | ) | const

Gets the linked MenuModel at the current iterator position.

The iterator is not advanced.

Since glibmm 2.32:

Returns:
  The MenuModel that is linked to.

GMenuLinkIter* Gio::MenuLinkIter::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GMenuLinkIter* Gio::MenuLinkIter::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GMenuLinkIter* Gio::MenuLinkIter::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gio::MenuLinkIter::next | ( |  | ) |

Attempts to advance the iterator to the next (possibly first) link.

`true` is returned on success, or `false` if there are no more links.

You must call this function when you first acquire the iterator to advance it to the first link (and determine if the first link exists at all).

Since glibmm 2.32:

Returns:
  `true` on success, or `false` when there are no more links.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::MenuLinkIter > wrap | ( | GMenuLinkIter * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.